﻿-- translations taken from wowhead.com
local L = LibStub("AceLocale-3.0"):NewLocale("ShockAndAwe", "frFR", false);
if not L then return end

L["About"] = "À propos"
L["Version"] = "Version" -- needs translation
L["Stormstrike"] = "Frappe-temp\195\170te"
L["Frost_Shock"] = "Horion de Glace"
L["Earth_Shock"] = "Horion de terre"
L["Flame_Shock"] = "Horion de flammes"
L["Wind_Shock"] = "Horion de ?"  -- needs translation
L["Lava_Burst"] = "Lava Burst" -- needs translation
L["Lava_Lash"] = "Lava Lash" -- needs translation
L["WF_Attack"] = "Votre Attaque(.+)[%s%(](%d+)"
L["Maelstrom"] = "Maelstrom Weapon"  -- needs translation
L["WaterShield"] = "Bouclier d'eau"
L["LightningShield"] = "Bouclier de foudre" 
L["EarthShield"] = "Bouclier de terre"
L["ElementalDevastation"] = "Dévastation élémentaire"
L["Flurry"] = "Rafale" 
L["UnleashedRage"] = "Rage libérée"
L["LavaBurst"] = "Explosion de lave" 

L["Timer Bars"] = "Timer Bars" -- needs translation
L["Bar Colours"] = "Bar Colours" -- needs translation
L["Uptime Frame"] = "Uptime Frame" -- needs translation
L["Uptime is %s (%s)"] = "Uptime is %s (%s)"  -- needs translation

L["help_width"] = "La taille de la barre, en pixels."
L["help_scale"] = "Pour régler la taille des barres."
L["help_reset"] = "Retour ShockAndAwe la configuration par défaut."
L["help_testbar"] = "Démarrer un test."
L["help_display"] = "Cacher ou afficher les barres. Quand c'est affiché, faire un clic gauche pour bouger les barres."
L["help_ss"] = "Activer ou désactiver la barre de WF/SS."
L["help_twist"] = "Activer ou désactiver la barre de twisting."
L["help_shock"] = "Activer ou désactiver la barre des horions."
L["help_arena"] = "Activate or deactivate arena 4 piece bonus (9 second stormstrikes)."
L["help_shield"] = "Activer ou désactiver la barre du bouclier d'eau."
L["help_maelstrom"] = "Activate or deactivate the maelstrom weapon bar."  -- needs translation
L["help_lavaburst"] = "Activate or deactivate Lava Burst bar." -- needs translation
L["help_lavalash"] = "Activate or deactivate Lava Lash bar." -- needs translation
L["help_version"] = "Show version information" -- needs translation
L["help_rotation"] = "Activate or deactivate the display of next shock in rotation"  -- needs translation
L["help_windshock"] = "Activate or deactivate the icon to warn if you should use wind shock" -- needs translation
L["help_threat"] = "Percentage threat that triggers display of windshock warning" -- needs translation
L["help_debug"] = "Activate or deactivate debug messages" -- needs translation
L["help_textonbars"] = "Activate or deactivate text displays on bars" -- needs translation
L["help_showuptime"] = "Activate or deactivate Uptime frame" -- needs translation
L["help_mwicon"] = "Activate or deactivate display of Lightning Bolt icon on 5 stacks of MW" -- needs translation
L["help_activeshields"] = "Untick to hide shield bar whilst its active" -- needs translation
L["help_gcd"] = "Activate or deactivate display of global cooldown bar" -- needs translation
L["help_mw5sound"] = "Select sound to play every 4 sec when Maelstrom Weapon has 5 stacks"
L["help_mw5soundplay"] = "Activate or deactivate playing sound when Maelstrom Weapon has 5 stacks"
L["help_mw5flash"] = "Activate or deactive flashing of Maelstrom Weapon bar when 5 stacks achieved"
L["help_mw4sound"] = "Select sound to play when Maelstrom Weapon reaches 4 stacks"
L["help_mw4soundplay"] = "Activate or deactivate playing sound when Maelstrom Weapon reaches 4 stacks"
L["help_mw5repeat"] = "Select interval after which Maelstrom weapon 5 stack sound repeats"

-- Section needs translation - change true to "French text"
L["Shield Bar"] = true
L["Maelstrom Bar"] = true
L["Stormstrike Bar"] = true
L["Shock Bar"] = true
L["Lava Lash Bar"] = true
L["Lava Burst Bar"] = true
L["Shock Rotation"] = true
L["Wind Shock"] = true
L["LvB or LL icon"] = true
L["4 piece arena bonus"] = true
L["Text Display"] = true
L["Bar Width"] = true
L["Bar Scale"] = true
L["Water Shield Alpha"] = true
L["Maelstrom Alpha"] = true
L["Maelstrom Full Alpha"] = true
L["Show Active Shields"] = true
L["Threat Threshold"] = true
L["Display Test Bar"] = true
L["Reset"] = true
L["Show Frame"] = true
L["Reset Positions"] = true
L["Reset Session info"] = true
L["Version"] = true
L["Move Frames"] = true
L["Debug mode"] = true
L["Bar Texture"] = true
L["Border Texture"] = true
L["Bar Border Texture"] = true
L["Bars Section"] = true
L["Icons Section"] = true
L["Frame Options"] = true
L["Misc Options"] = true
L["Media Options"] = true
L["Maelstrom Sound 4"] = true
L["Maelstrom Sound 5"] = true
L["Sound Repeat Interval"] =true
L["Maelstrom Flash"] = true
L["Bar Font"] = true
L["Bar Font Size"] = true
L["Maelstrom Weapon Sound"] = true
L["GCD"] = "Global Cooldown Bar" 

L["config_SS_on"] = "Stormstrike bar will now be displayed when cast"
L["config_SS_off"] = "Stormstrike bar will NOT now be displayed when cast"
L["config_Shock_on"] = "Shock bar will now be displayed when cast"
L["config_Shock_off"] = "Shock bar will NOT now be displayed when cast"
L["config_Sheild_on"] = "Shield bar will now be displayed"
L["config_Sheild_off"] = "Shield bar will NOT now be displayed"
L["config_Arena_on"] = "Using Arena kit bonus with Stormstrike timer"
L["config_Arena_off"] = "NOT using Arena kit bonus with Stormstrike timer"
L["config_Uptime_on"] = "Display of Uptime frame enabled"
L["config_Uptime_off"] = "Display of Uptime frame disabled"
L["config_MW_on"] = "Maelstrom bar will now be displayed"
L["config_MW_off"] = "Maelstrom bar will NOT now be displayed"
L["config_LL_on"] = "Lava Lash bar will now be displayed"
L["config_LL_off"] = "Lava Lash  bar will NOT now be displayed"
L["config_LvB_on"] = "Lava Burst bar will now be displayed"
L["config_LvB_off"] = "Lava Burst bar will NOT now be displayed"
L["config_GCD_on"] = "Global Cooldown bar will now be displayed"
L["config_GCD_off"] = "Global Cooldown bar will NOT now be displayed"
L["config_rotation_on"] = "Shock Rotation icons will now be displayed"
L["config_rotation_off"] = "Shock Rotation icons will NOT now be displayed"
L["config_debug_on"] = "Debug info will now be displayed"
L["config_debug_off"] = "Debug info will NOT now be displayed"
L["config_WSicon_on"] = "Windshock icon will now be displayed"
L["config_WSicon_off"] = "Windshock icon will NOT now be displayed"
L["config_Barstext_on"] = "Text info on bars will now be displayed"
L["config_Barstext_off"] = "Text info on bars will NOT now be displayed"
L["config_Threat"] = "Threat threshold for wind shock display set to : "
L["config_ShieldAlpha"] = "Shield Alpha set to : "
L["config_MSAlpha_ooc"] = "Maelstrom Alpha out of Combat set to : "
L["config_MSAlpha_combat"] = "Maelstrom Alpha in Combat set to : "
L["config_MWicon_on"] = "The Lightning Bolt icon will now be shown on 5 stacks of MW"
L["config_MWicon_off"] = "The Lightning Bolt icon will NOT now be shown on 5 stacks of MW"
L["config_reset"] = "Reset bar frame to default values"
L["config_ActiveShields_on"] = "The Shield bar will be shown when the shield is active"
L["config_ActiveShields_off"] = "The Shield bar will be hidden when the shield is active"
L["config_mw5soundplay_on"] = "Will play a sound when Maelstrom Weapon reaches 5 stacks"
L["config_mw5soundplay_off"] = "Will NOT play a sound when Maelstrom Weapon reaches 5 stacks"
L["config_mw5flash_on"] = "Flash the Maelstrom Weapon bar when it reaches 5 stacks"
L["config_mw5flash_off"] = "Do NOT flash the Maelstrom Weapon bar when it reaches 5 stacks"
L["config_mw4soundplay_on"] = "Will play a sound when Maelstrom Weapon reaches 4 stacks"
L["config_mw4soundplay_off"] = "Will NOT play a sound when Maelstrom Weapon reaches 4 stacks"

L["Shields"] = true
L["Shocks"] = true
L["Other Bars"] = true
L["Water Shield Colour"] = true
L["Lightning Shield Colour"] = true
L["Earth Shield Colour"] = true
L["Shield Down Colour"] = true
L["Flame Shock Colour"] = true
L["Earth Shock Colour"] = true
L["Frost Shock Colour"] = true
L["Wind Shock Colour"] = true
L["Maelstrom Bar Colour"] = true
L["Stormstrike Bar Colour"] = true
L["Windfury Bar Colour"] = true
L["Lava Lash Bar Colour"] = true
L["Lava Burst Bar Colour"] = true
L["Flurry Colour"] = true
L["Elemental Devastation Colour"] = true
L["Unleashed Rage Colour"] = true

L["colWaterShield"] = "Select which colour you want to use when water shield is active"
L["colLightningShield"] = "Select which colour you want to use when lightning shield is active"
L["colEarthShield"] = "Select which colour you want to use if earth shield is active on you"
L["colNoShield"] = "Select which colour you want to use when no shield is active"
L["colFlameShock"] = "Select which colour to show on shock bar when last shock was Flame Shock"
L["colEarthShock"] = "Select which colour to show on shock bar when last shock was Earth Shock"
L["colFrostShock"] = "Select which colour to show on shock bar when last shock was Frost Shock"
L["colWindShock"] = "Select which colour to show on shock bar when last shock was Wind Shock"
L["colMaelstrom"] = "Select which colour to show on Maelstrom Weapon bar when its on cooldown"
L["colStormstrike"] = "Select which colour to show on Stormstike bar when its on cooldown"
L["colWindfury"] = "Select which colour to show on Windfury bar when its on cooldown"
L["colLavaLash"] = "Select which colour to show on Lava Lash bar when its on cooldown"
L["colLavaBurst"] = "Select which colour to show on Lava Burst bar when its on cooldown"
L["colFlurry"] = "Select which colour to show on Flurry Uptime bar"
L["colED"] = "Select which colour to show on Elemental Devastation Uptime bar"
L["colUR"] = "Select which colour to show on Unleashed Rage Uptime bar"

L["uptime_session"] = "Session Uptime"
L["uptime_lastfight"] = "Last Fight Uptime"
L["uptime_reset"] = "Reset uptime frame to default values"